Subject: [PATCH V5 0/4] DRIVERS: IRQCHIP: Add support for crossbar IP

From: [email-masked] (Tony Lindgren)
Date: Tue, 7 Jan 2014 15:55:15 -0800

* Tony Lindgren <[email-masked]> [140107 15:10]:
> * Sricharan R <[email-masked]> [131229 22:30]:
> > On Friday 27 December 2013 07:19 PM, Sricharan R wrote:
> > > On Thursday 26 December 2013 11:14 PM, Santosh Shilimkar wrote:
> > >> On Wednesday 25 December 2013 11:52 PM, Sricharan R wrote:
> > >>> On Wednesday 18 December 2013 02:49 PM, Sricharan R wrote:
> > >>>> I have addressed all the comments on this series, can this be merged now ?
> > >>>>
> > >>>   Ping..
> > >>>
> > >> Thomas has already given his reviewed-by tag so the patches can be
> > >> taken via arm-soc tree considering OMAP and GIC changes. Can you
> > >> create a branch with all these patches applied and send it
> > >> to Tony ?
> > >>
> > > Ok, i will send out a branch for this.
> > > 
> >  
> >  I have pushed the below branch
> > 
> > git://github.com/Sricharanti/sricharan.git
> > branch: crossbar
> > 
> > This is on top of Tony's linux-omap master branch
> 
> The linux-omap master branch cannot be used as a base as it
> contains tons of commit history not in mainline. So I'll
> manually applied these patches into omap-for-v3.14/crosbar
> branch.

Oops, I noticed some errors on these:

WARNING: drivers/built-in.o(.text+0xcd0): Section mismatch in reference from the function irqcrossbar_init() to the function .init.text:crossbar_of_init()
The function irqcrossbar_init() references
the function __init crossbar_of_init().
This is often because irqcrossbar_init lacks a __init 
annotation or the annotation of crossbar_of_init is wrong.

WARNING: drivers/built-in.o(.text+0xcdc): Section mismatch in reference from the function irqcrossbar_init() to the (unknown reference) .init.rodata:(unknown)
The function irqcrossbar_init() references
the (unknown reference) __initconst (unknown).
This is often because irqcrossbar_init lacks a __initconst 
annotation or the annotation of (unknown) is wrong.

So I've dropped them for now. Care to fix up those errors and
base your patches against let's say v3.13-rc5?

Regards,

Tony